"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("../core");
const command = {
    name: 'hello',
    usage: 'hello <name> [options]',
    description: 'hello command',
    alias: 'hi',
    options: {
        lang: {
            type: 'string',
            alias: 'l',
            default: 'en',
            description: 'message language'
        },
        debug: {
            type: 'boolean',
            alias: 'd',
            description: 'debug mode'
        }
    },
    examples: ['hello zce'],
    action: async ({ primary, options }) => {
        if (!primary) {
            return core_1.missingArgument('name');
        }
        if (options.lang === 'en') {
            core_1.logger.success(`Hey! ${primary}~`);
        }
        else if (options.lang === 'zh') {
            core_1.logger.success(`嘿！${primary}~`);
        }
        if (options.debug) {
            core_1.logger.debug(options);
        }
    }
};
exports.default = command;
