/// <reference types="node" />
import { Command, Middleware, Questions, Answers } from '../core';
export interface TemplateOptions {
    name: string;
    version?: string;
    source?: string;
    metadata?: Record<string, unknown>;
    questions?: Questions;
    filters?: Record<string, (answers: Answers) => boolean>;
    helpers?: Record<string, unknown>;
    plugin?: Middleware<GeneraterContext>;
    complete?: Middleware<GeneraterContext>;
}
export interface GeneraterContext {
    readonly template: string;
    readonly project: string;
    readonly offline: boolean;
    url?: string;
    src?: string;
    dest?: string;
    options?: TemplateOptions;
    answers?: Answers;
    files?: Record<string, Buffer>;
}
export declare const getTemplateUrl: (input: string) => Promise<string>;
export declare const validater: Record<string, (input: string) => true | string>;
declare const command: Command;
export default command;
