"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.git = exports.yarn = exports.npm = exports.ini = exports.get = void 0;
const os_1 = __importDefault(require("os"));
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const ini_1 = require("ini");
const cosmiconfig_1 = require("cosmiconfig");
const pkg = require('../../../package.json');
exports.get = async (name, from, options) => {
    if (typeof name === 'undefined') {
        const bin = typeof pkg.bin === 'string' ? pkg.name : Object.keys(pkg.bin)[0];
        name = bin;
    }
    const explorer = cosmiconfig_1.cosmiconfig(name, options);
    const { config = {} } = (await explorer.search(from)) || {};
    return config;
};
exports.ini = async (filename) => {
    try {
        const contents = await fs_1.default.promises.readFile(filename, 'utf8');
        return ini_1.parse(contents);
    }
    catch (_a) { }
};
exports.npm = async () => {
    const npmrc = path_1.default.join(os_1.default.homedir(), '.npmrc');
    return exports.ini(npmrc);
};
exports.yarn = async () => {
    const yarnrc = path_1.default.join(os_1.default.homedir(), '.yarnrc');
    return exports.ini(yarnrc);
};
exports.git = async () => {
    const gitconfig = path_1.default.join(os_1.default.homedir(), '.gitconfig');
    return exports.ini(gitconfig);
};
