"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.missingArgument = exports.unknownCommand = void 0;
const logger_1 = require("./logger");
exports.unknownCommand = (name, fallback = '[bin] --help') => {
    logger_1.error('Unknown command: `%s`.', name);
    logger_1.info('Type `%s` to view all commands.', logger_1.color.cyan(fallback));
    process.exit(1);
};
exports.missingArgument = (name) => {
    logger_1.error('Missing required argument: `<%s>`.', name);
    process.exit(1);
};
