/// <reference types="node" />
import { MakeDirectoryOptions, RmDirAsyncOptions } from 'fs';
import { IOptions as GOptions } from 'glob';
import { IOptions as MOptions } from 'minimatch';
export declare const read: (input: string) => Promise<Buffer>;
export declare const write: (input: string, contents: string | Uint8Array) => Promise<void>;
export declare const getTempPath: (...paths: string[]) => string;
export declare const getDataPath: (...paths: string[]) => string;
export declare const exists: (input: string) => Promise<false | 'file' | 'dir' | 'other'>;
export declare const isFile: (input: string) => Promise<boolean>;
export declare const isDirectory: (input: string) => Promise<boolean>;
export declare const isEmpty: (input: string) => Promise<boolean>;
export declare const mkdir: (input: string, options?: MakeDirectoryOptions | undefined) => Promise<void>;
export declare const remove: (input: string, options?: RmDirAsyncOptions | undefined) => Promise<void>;
export declare const glob: (pattern: string, options: GOptions) => Promise<string[]>;
export declare const minimatch: (input: string, pattern: string, options?: MOptions | undefined) => boolean;
export declare const tildify: (input: string) => string;
export declare const untildify: (input: string) => string;
export declare const extract: (input: string, output: string, strip?: number) => Promise<void>;
