"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.download = exports.request = void 0;
const path_1 = require("path");
const stream_1 = require("stream");
const util_1 = require("util");
const fs_1 = require("fs");
const got_1 = __importDefault(require("got"));
const file_1 = require("./file");
const { name, version, homepage } = require('../../../package.json');
const pipe = util_1.promisify(stream_1.pipeline);
const client = got_1.default.extend({
    headers: {
        'user-agent': `${name}/${version} (${homepage})`
    }
});
exports.request = client.extend({
    responseType: 'json'
});
exports.download = async (url, options) => {
    const filename = file_1.getTempPath(Date.now().toString() + '.tmp');
    await file_1.mkdir(path_1.dirname(filename));
    await pipe(client.stream(url, options), fs_1.createWriteStream(filename));
    return filename;
};
