export declare type Next = () => Promise<void>;
export declare type Middleware<T> = (state: T, next: Next) => Promise<void>;
export declare class Ware<T> {
    private readonly middlewares;
    constructor();
    use(middleware: Middleware<T> | Middleware<T>[]): Ware<T>;
    run(initalState: T): Promise<void>;
    static create<T>(): Ware<T>;
}
export declare const ware: typeof Ware.create;
