"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ware = exports.Ware = void 0;
class Ware {
    constructor() {
        this.middlewares = [];
    }
    use(middleware) {
        if (typeof middleware === 'function') {
            this.middlewares.push(middleware);
        }
        else {
            this.middlewares.push(...middleware);
        }
        return this;
    }
    run(initalState) {
        const next = () => {
            const current = this.middlewares.shift();
            if (!current)
                return Promise.resolve();
            return current(initalState, next);
        };
        return next();
    }
    static create() {
        return new Ware();
    }
}
exports.Ware = Ware;
exports.ware = Ware.create;
