import { Options, Context } from './parser';
export interface Command {
    readonly name: string;
    readonly usage?: string;
    readonly description?: string;
    readonly alias?: string | string[];
    readonly hidden?: boolean;
    readonly options?: Options;
    readonly action: (ctx: Context) => Promise<void>;
    readonly help?: string | ((ctx: Context) => Promise<void>);
    readonly examples?: string | string[];
    readonly suggestions?: string | string[];
}
export declare const loadCommands: (dir: string) => Record<string, Command>;
export declare const commands: Record<string, Command>;
export declare const load: (name?: string | undefined) => Promise<Command>;
