"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.parse = void 0;
const minimist_1 = __importDefault(require("minimist"));
const minimist_options_1 = __importDefault(require("minimist-options"));
const pkg = require('../../package.json');
exports.parse = async (args, opts = {}) => {
    const bin = typeof pkg.bin === 'string' ? pkg.name : Object.keys(pkg.bin)[0];
    const result = minimist_1.default(args, minimist_options_1.default(opts));
    const { _: inputs } = result;
    const [primary, secondary, thirdly, fourthly, ...extras] = inputs;
    const keys = Object.keys(opts);
    const options = Object.keys(result).reduce((o, i) => (keys.includes(i) ? { ...o, [i]: result[i] } : o), {});
    return { bin, primary, secondary, thirdly, fourthly, extras, inputs, options, pkg };
};
