"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.run = exports.extract = void 0;
const loader_1 = require("./loader");
const parser_1 = require("./parser");
const invoker_1 = require("./invoker");
exports.extract = (args) => {
    const [first, ...rest] = args;
    if (first) {
        if (!first.startsWith('-'))
            return [first, rest];
        if (['--help', '-h'].includes(first))
            return ['help', args];
        if (['--version', '-v'].includes(first))
            return ['version', args];
    }
    return ['default', args];
};
exports.run = async (args) => {
    args = args || process.argv.slice(2);
    const [name, argv] = exports.extract(args);
    const cmd = await loader_1.load(name);
    if (cmd.name === 'unknown') {
        argv.unshift(name);
    }
    const ctx = await parser_1.parse(argv, cmd.options);
    await invoker_1.invoke(cmd, ctx);
};
