"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sniff = void 0;
const semver_1 = require("semver");
const helpers_1 = require("./helpers");
const { name, engines } = require('../../package.json');
exports.sniff = () => {
    if (semver_1.satisfies(process.version, engines.node))
        return;
    helpers_1.logger.error('You are using Node.js %s, but this version of %s requires Node.js %s.', process.version, name, engines.node);
    helpers_1.logger.info('Please upgrade your Node.js version before this operation.');
    process.exit(1);
};
